%define upstream_name    Cairo-GObject
%define upstream_version 1.005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Integrate Cairo into the Glib type system
License:    LGPLv2
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Cairo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cairo) >= 1.80.0
BuildRequires: perl(ExtUtils::Depends) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: perl(Glib) >= 1.224.0
BuildRequires: perl-devel
BuildRequires: pkgconfig(cairo)
%{?perl_default_filter}
# keep only versionated requires:
%global __requires_exclude %__requires_exclude|^perl\\(Cairo\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Glib\\)$

%description
The Perl Cairo::GObject module enables to integrate Cairo into the
Glib type system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
#make test

%install
%make_install

%files
%license LICENSE
%doc LICENSE META.json META.yml MYMETA.yml NEWS README examples
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.5.0-12.mga10
+ Revision: 2226728
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 1.5.0-11.mga10
+ Revision: 2089360
- Rebuild for armv7

* Fri Aug 23 2024 tv <tv> 1.5.0-10.mga10
+ Revision: 2089286
- Rebuild for perl-5.40

* Wed Nov 29 2023 tv <tv> 1.5.0-9.mga10
+ Revision: 2011061
- Rebuild for armv7

* Tue Nov 28 2023 tv <tv> 1.5.0-8.mga10
+ Revision: 2010944
- Rebuild for armv7 (media did not contain latest Glib)

* Tue Nov 28 2023 tv <tv> 1.5.0-7.mga10
+ Revision: 2010482
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.5.0-6.mga9
+ Revision: 1862851
- Rebuild for Perl 5.36

* Wed Mar 30 2022 umeabot <umeabot> 1.5.0-5.mga9
+ Revision: 1835564
- Mageia 9 Mass Rebuild

* Mon May 24 2021 tmb <tmb> 1.5.0-4.mga9
+ Revision: 1726317
- rebuild for rebuild for perl-5.34.0

* Thu Jun 18 2020 umeabot <umeabot> 1.5.0-3.mga8
+ Revision: 1595634
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.5.0-2.mga8
+ Revision: 1530215
- Mageia 8 Mass Rebuild

* Wed Aug 28 2019 tv <tv> 1.5.0-1.mga8
+ Revision: 1434684
- update to 1.005

* Mon Aug 26 2019 tmb <tmb> 1.4.0-19.mga8
+ Revision: 1432629
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.4.0-18.mga7
+ Revision: 1292397
- Mageia 7 Mass Rebuild
+ pterjan <pterjan>
- Use correct macro in file list

* Sat Aug 04 2018 tmb <tmb> 1.4.0-17.mga7
+ Revision: 1247416
- update filelist
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.4.0-16.mga7
+ Revision: 1163253
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.4.0-15.mga7
+ Revision: 1159005
- rebuild with perl w/o 64int suffix

* Thu Aug 31 2017 pterjan <pterjan> 1.4.0-14.mga7
+ Revision: 1149470
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.4.0-13.mga7
+ Revision: 1126945
- Rebuild against new Perl 5.26
+ tv <tv>
- use %%license

* Sat Jun 18 2016 pterjan <pterjan> 1.4.0-12.mga6
+ Revision: 1022827
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.4.0-11.mga6
+ Revision: 956810
- Mageia 6 Mass Rebuild
+ tv <tv>
- switch to pkgconfig() BRs

* Thu Jun 25 2015 tv <tv> 1.4.0-10.mga6
+ Revision: 843430
- rebuild with soname-ified perl

* Tue Jun 23 2015 sander85 <sander85> 1.4.0-9.mga6
+ Revision: 840921
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 1.4.0-8.mga5
+ Revision: 789775
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-7.mga5
+ Revision: 741349
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.4.0-6.mga5
+ Revision: 732834
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-5.mga5
+ Revision: 683731
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 tv <tv> 1.4.0-4.mga5
+ Revision: 632580
- fix missing description

* Tue Jun 03 2014 jquelin <jquelin> 1.4.0-3.mga5
+ Revision: 632151
- perl 5.20.0 rebuild

* Tue Jun 03 2014 tv <tv> 1.4.0-2.mga5
+ Revision: 632070
- rebuild for new perl

* Mon Feb 10 2014 jquelin <jquelin> 1.4.0-1.mga5
+ Revision: 588238
- update to 1.004

* Tue Feb 04 2014 tv <tv> 1.2.0-1.mga5
+ Revision: 581937
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-5.mga4
+ Revision: 524085
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1.1.0-4.mga4
+ Revision: 430003
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-3.mga3
+ Revision: 363757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.1.0-2.mga3
+ Revision: 250315
- rebuild for perl 5.16

* Sat Oct 15 2011 tv <tv> 1.1.0-1.mga2
+ Revision: 155407
- new release
- BuildRequires: cairo-devel
- imported package perl-Cairo-GObject


* Wed Aug 10 2011 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-1.mga2
- initial mageia release
